<html>
<head>
<title>Ogre::ConfigFile Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ConfigFile.html">ConfigFile</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ConfigFile Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ConfigFile" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Class for quickly loading settings from a text file.  
 <a href="classOgre_1_1ConfigFile.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ConfigFile:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ConfigFile__inherit__graph.gif" border="0" usemap="#Ogre_1_1ConfigFile_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ConfigFile_inherit__map" id="Ogre_1_1ConfigFile_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="20,5,108,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ConfigFile-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#ac6682c7a1a92d2304f208eede43f009c">SettingsMultiMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1ConfigFile.html#ac6682c7a1a92d2304f208eede43f009c">SettingsMultiMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#adf764e20ebcf5c52d0ea887b1468a283">SettingsIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1ConfigFile.html#ac6682c7a1a92d2304f208eede43f009c">SettingsMultiMap</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a9ff7b89672812c292b0b7198cc8ae848">SettingsBySection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an iterator for stepping through all the keys / values in the file.  <a href="#a9ff7b89672812c292b0b7198cc8ae848"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1ConfigFile.html#a9ff7b89672812c292b0b7198cc8ae848">SettingsBySection</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#aa0167bf5f0a33e109d2de01a6a14f2f0">SectionIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#ae9cea1fe4ad70279841635eb892ba514">ConfigFile</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#aeb74fca345254b1701f509d3b0e77694">~ConfigFile</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a361167ade63602d0cf242ee24a10b4a8">load</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">load from a filename (not using resource group locations)  <a href="#a361167ade63602d0cf242ee24a10b4a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a5b28053a489365f4b30d4d9c166443b8">load</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resourceGroup, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">load from a filename (using resource group locations)  <a href="#a5b28053a489365f4b30d4d9c166443b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a165868d7dd164934fcb0358db1b57bc7">load</a> (const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">load from a data stream  <a href="#a165868d7dd164934fcb0358db1b57bc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a6f0e8df905fe76a8443fb35938b7093c">loadDirect</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">load from a filename (not using resource group locations)  <a href="#a6f0e8df905fe76a8443fb35938b7093c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#acff4e2bdf7a14e6592a324452c243a04">loadFromResourceSystem</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resourceGroup, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">load from a filename (using resource group locations)  <a href="#acff4e2bdf7a14e6592a324452c243a04"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#ad7d0e8ee36d1009db54baff67d066665">getSetting</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;key, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;section=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;defaultValue=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the first setting from the file with the named key.  <a href="#ad7d0e8ee36d1009db54baff67d066665"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a30a55cb6298f52535b4772b90b368f53">getMultiSetting</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;key, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;section=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets all settings from the file with the named key.  <a href="#a30a55cb6298f52535b4772b90b368f53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ConfigFile.html#aa0167bf5f0a33e109d2de01a6a14f2f0">SectionIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#aced12d8135c24ff4bbe6f329e900b046">getSectionIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over all the available sections in the config file.  <a href="#aced12d8135c24ff4bbe6f329e900b046"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ConfigFile.html#adf764e20ebcf5c52d0ea887b1468a283">SettingsIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a048408e7937efe28bc61bf5e552bd32d">getSettingsIterator</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;section=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over all the available settings in a section.  <a href="#a048408e7937efe28bc61bf5e552bd32d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a210c66181466a969725d196d09880fc7">clear</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the settings.  <a href="#a210c66181466a969725d196d09880fc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ConfigFile.html#a9ff7b89672812c292b0b7198cc8ae848">SettingsBySection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a3a7b05390a1fec51ba0600c9e977c318">mSettings</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class for quickly loading settings from a text file. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class is designed to quickly parse a simple file containing key/value pairs, mainly for use in configuration settings. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This is a very simplified approach, no multiple values per key are allowed, no grouping or context is being kept etc. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>By default the key/values pairs are tokenised based on a separator of Tab, the colon (:) or equals (=) character. Each key - value pair must end in a carriage return. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Settings can be optionally grouped in sections, using a header beforehand of the form [SectionName]. </dd></dl>

<p>Definition at line <a class="el" href="OgreConfigFile_8h_source.html#l00061">61</a> of file <a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="aa0167bf5f0a33e109d2de01a6a14f2f0"></a><!-- doxytag: member="Ogre::ConfigFile::SectionIterator" ref="aa0167bf5f0a33e109d2de01a6a14f2f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1ConfigFile.html#a9ff7b89672812c292b0b7198cc8ae848">SettingsBySection</a>&gt; <a class="el" href="classOgre_1_1ConfigFile.html#aa0167bf5f0a33e109d2de01a6a14f2f0">Ogre::ConfigFile::SectionIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigFile_8h_source.html#l00091">91</a> of file <a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9ff7b89672812c292b0b7198cc8ae848"></a><!-- doxytag: member="Ogre::ConfigFile::SettingsBySection" ref="a9ff7b89672812c292b0b7198cc8ae848" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1ConfigFile.html#ac6682c7a1a92d2304f208eede43f009c">SettingsMultiMap</a>*&gt;::type <a class="el" href="classOgre_1_1ConfigFile.html#a9ff7b89672812c292b0b7198cc8ae848">Ogre::ConfigFile::SettingsBySection</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an iterator for stepping through all the keys / values in the file. </p>

<p>Definition at line <a class="el" href="OgreConfigFile_8h_source.html#l00090">90</a> of file <a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>.</p>

</div>
</div>
<a class="anchor" id="adf764e20ebcf5c52d0ea887b1468a283"></a><!-- doxytag: member="Ogre::ConfigFile::SettingsIterator" ref="adf764e20ebcf5c52d0ea887b1468a283" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1ConfigFile.html#ac6682c7a1a92d2304f208eede43f009c">SettingsMultiMap</a>&gt; <a class="el" href="classOgre_1_1ConfigFile.html#adf764e20ebcf5c52d0ea887b1468a283">Ogre::ConfigFile::SettingsIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigFile_8h_source.html#l00088">88</a> of file <a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6682c7a1a92d2304f208eede43f009c"></a><!-- doxytag: member="Ogre::ConfigFile::SettingsMultiMap" ref="ac6682c7a1a92d2304f208eede43f009c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1multimap.html">multimap</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt;::type <a class="el" href="classOgre_1_1ConfigFile.html#ac6682c7a1a92d2304f208eede43f009c">Ogre::ConfigFile::SettingsMultiMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigFile_8h_source.html#l00087">87</a> of file <a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae9cea1fe4ad70279841635eb892ba514"></a><!-- doxytag: member="Ogre::ConfigFile::ConfigFile" ref="ae9cea1fe4ad70279841635eb892ba514" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigFile.html#ae9cea1fe4ad70279841635eb892ba514">Ogre::ConfigFile::ConfigFile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aeb74fca345254b1701f509d3b0e77694"></a><!-- doxytag: member="Ogre::ConfigFile::~ConfigFile" ref="aeb74fca345254b1701f509d3b0e77694" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ConfigFile.html#aeb74fca345254b1701f509d3b0e77694">Ogre::ConfigFile::~ConfigFile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a210c66181466a969725d196d09880fc7"></a><!-- doxytag: member="Ogre::ConfigFile::clear" ref="a210c66181466a969725d196d09880fc7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigFile.html#a210c66181466a969725d196d09880fc7">Ogre::ConfigFile::clear</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear the settings. </p>

</div>
</div>
<a class="anchor" id="a30a55cb6298f52535b4772b90b368f53"></a><!-- doxytag: member="Ogre::ConfigFile::getMultiSetting" ref="a30a55cb6298f52535b4772b90b368f53" args="(const String &amp;key, const String &amp;section=StringUtil::BLANK) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="classOgre_1_1ConfigFile.html#a30a55cb6298f52535b4772b90b368f53">Ogre::ConfigFile::getMultiSetting</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>section</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets all settings from the file with the named key. </p>

</div>
</div>
<a class="anchor" id="aced12d8135c24ff4bbe6f329e900b046"></a><!-- doxytag: member="Ogre::ConfigFile::getSectionIterator" ref="aced12d8135c24ff4bbe6f329e900b046" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigFile.html#aa0167bf5f0a33e109d2de01a6a14f2f0">SectionIterator</a> <a class="el" href="classOgre_1_1ConfigFile.html#aced12d8135c24ff4bbe6f329e900b046">Ogre::ConfigFile::getSectionIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over all the available sections in the config file. </p>

</div>
</div>
<a class="anchor" id="ad7d0e8ee36d1009db54baff67d066665"></a><!-- doxytag: member="Ogre::ConfigFile::getSetting" ref="ad7d0e8ee36d1009db54baff67d066665" args="(const String &amp;key, const String &amp;section=StringUtil::BLANK, const String &amp;defaultValue=StringUtil::BLANK) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ConfigFile.html#ad7d0e8ee36d1009db54baff67d066665">Ogre::ConfigFile::getSetting</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>section</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the first setting from the file with the named key. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The name of the setting </td></tr>
    <tr><td class="paramname">section</td><td>The name of the section it must be in (if any) </td></tr>
    <tr><td class="paramname">defaultValue</td><td>The value to return if the setting is not found </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a048408e7937efe28bc61bf5e552bd32d"></a><!-- doxytag: member="Ogre::ConfigFile::getSettingsIterator" ref="a048408e7937efe28bc61bf5e552bd32d" args="(const String &amp;section=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigFile.html#adf764e20ebcf5c52d0ea887b1468a283">SettingsIterator</a> <a class="el" href="classOgre_1_1ConfigFile.html#a048408e7937efe28bc61bf5e552bd32d">Ogre::ConfigFile::getSettingsIterator</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>section</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over all the available settings in a section. </p>

</div>
</div>
<a class="anchor" id="a361167ade63602d0cf242ee24a10b4a8"></a><!-- doxytag: member="Ogre::ConfigFile::load" ref="a361167ade63602d0cf242ee24a10b4a8" args="(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigFile.html#a361167ade63602d0cf242ee24a10b4a8">Ogre::ConfigFile::load</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimWhitespace</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>load from a filename (not using resource group locations) </p>

</div>
</div>
<a class="anchor" id="a5b28053a489365f4b30d4d9c166443b8"></a><!-- doxytag: member="Ogre::ConfigFile::load" ref="a5b28053a489365f4b30d4d9c166443b8" args="(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigFile.html#a361167ade63602d0cf242ee24a10b4a8">Ogre::ConfigFile::load</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>resourceGroup</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimWhitespace</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>load from a filename (using resource group locations) </p>

</div>
</div>
<a class="anchor" id="a165868d7dd164934fcb0358db1b57bc7"></a><!-- doxytag: member="Ogre::ConfigFile::load" ref="a165868d7dd164934fcb0358db1b57bc7" args="(const DataStreamPtr &amp;stream, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigFile.html#a361167ade63602d0cf242ee24a10b4a8">Ogre::ConfigFile::load</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimWhitespace</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>load from a data stream </p>

</div>
</div>
<a class="anchor" id="a6f0e8df905fe76a8443fb35938b7093c"></a><!-- doxytag: member="Ogre::ConfigFile::loadDirect" ref="a6f0e8df905fe76a8443fb35938b7093c" args="(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigFile.html#a6f0e8df905fe76a8443fb35938b7093c">Ogre::ConfigFile::loadDirect</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimWhitespace</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>load from a filename (not using resource group locations) </p>

</div>
</div>
<a class="anchor" id="acff4e2bdf7a14e6592a324452c243a04"></a><!-- doxytag: member="Ogre::ConfigFile::loadFromResourceSystem" ref="acff4e2bdf7a14e6592a324452c243a04" args="(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigFile.html#acff4e2bdf7a14e6592a324452c243a04">Ogre::ConfigFile::loadFromResourceSystem</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>resourceGroup</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimWhitespace</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>load from a filename (using resource group locations) </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ConfigFile::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ConfigFile::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ConfigFile::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ConfigFile::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ConfigFile::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ConfigFile::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ConfigFile::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ConfigFile::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ConfigFile::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ConfigFile::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a3a7b05390a1fec51ba0600c9e977c318"></a><!-- doxytag: member="Ogre::ConfigFile::mSettings" ref="a3a7b05390a1fec51ba0600c9e977c318" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigFile.html#a9ff7b89672812c292b0b7198cc8ae848">SettingsBySection</a> <a class="el" href="classOgre_1_1ConfigFile.html#a3a7b05390a1fec51ba0600c9e977c318">Ogre::ConfigFile::mSettings</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigFile_8h_source.html#l00102">102</a> of file <a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreConfigFile_8h_source.html">OgreConfigFile.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
